Package com.google.android.exoplayer2.source.dash.manifest

## Class SegmentBase.SingleSegmentBase

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.SegmentBase
  - - com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SingleSegmentBase

- Enclosing class:
    SegmentBase

      public static class SegmentBase.SingleSegmentBase
      extends SegmentBase

  A `SegmentBase` that defines a single segment.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.source.dash.manifest.SegmentBase

      `SegmentBase.MultiSegmentBase, SegmentBase.SegmentList, SegmentBase.SegmentTemplate, SegmentBase.SegmentTimelineElement, SegmentBase.SingleSegmentBase`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleSegmentBase()` |
    `SingleSegmentBase​(RangedUri initialization, long timescale, long presentationTimeOffset, long indexStart, long indexLength)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RangedUri` | `getIndex()` |

    - ### Methods inherited from class com.google.android.exoplayer2.source.dash.manifest.SegmentBase

      `getInitialization, getPresentationTimeOffsetUs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleSegmentBase

          public SingleSegmentBase​(@Nullable
                                   RangedUri initialization,
                                   long timescale,
                                   long presentationTimeOffset,
                                   long indexStart,
                                   long indexLength)

      Parameters:
        `initialization` - A `RangedUri` corresponding to initialization data, if such data exists.
        `timescale` - The timescale in units per second.
        `presentationTimeOffset` - The presentation time offset. The value in seconds is the division of this value and `timescale`.
        `indexStart` - The byte offset of the index data in the segment.
        `indexLength` - The length of the index data in bytes.

    - #### SingleSegmentBase

          public SingleSegmentBase()

  - ### Method Detail

    - #### getIndex

          @Nullable
          public RangedUri getIndex()